-- name: THE PERFECTLY WEIRD CHARACTER PACK
-- description: The only pack you'll ever need ;)

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_MORSHU = smlua_model_util_get_id("morshu_geo")
local E_MODEL_NEIGHBOR = smlua_model_util_get_id("neighbor_geo")
local E_MODEL_NECO = smlua_model_util_get_id("neco_geo")
local E_MODEL_REFLEX = smlua_model_util_get_id("reflex_geo")

local TEX_MORSHU = get_texture_info("morshu-icon")
local TEX_NEIGHBOR = get_texture_info("neighbor-icon")
local TEX_NECO = get_texture_info("neco-icon")
local TEX_REFLEX = get_texture_info("reflex-icon")

local TEXT_MOD_NAME = "Moai"




local CAPTABLE_CHAR = {
    normal = smlua_model_util_get_id("custom_model_cap_normal_geo"),
    wing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
    metal = smlua_model_util_get_id("custom_model_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
}

if _G.charSelectExists then
    CT_MORSHU = _G.charSelect.character_add("Morshu", {"You want it? It's your's, my friend"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_MORSHU, CT_MARIO, TEX_MORSHU)

    CT_NEIGHBOR = _G.charSelect.character_add("The Neighbor", {"What's in his basement?"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_NEIGHBOR, CT_MARIO, TEX_NEIGHBOR)

    CT_NECO = _G.charSelect.character_add("Neco Arc", {"Insert funny Neco word here"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_NECO, CT_MARIO, TEX_NECO)

    CT_REFLEX = _G.charSelect.character_add("Dr.Reflex", {"Who wants their reflexes checked??"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_REFLEX, CT_MARIO, TEX_REFLEX)


else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end